begin
  require 'hoe'
rescue LoadError
  require 'rubygems'
  require 'hoe'
end

Hoe.plugin :debugging, :doofus, :git, :bundler, :deps
#, :minitest

HOE = Hoe.spec "resper" do
  developer("Nikolay Moskvin", "moskvin@sibext.com")
  self.history_file     = "CHANGELOG.rdoc"
  self.readme_file      = "README.md"
  license "MIT"
  require_ruby_version ">= 2.1.5"
  require_rubygems_version ">= 1.3.5"
  
  extra_dev_deps << ['rake-compiler', "~> 0.9.3"]
  extra_dev_deps << ["mini_portile", "~> 0.6.1"]
  extra_dev_deps << ["minitest", "~> 5.0"]
  extra_dev_deps << ["hoe-bundler", "~> 1.0"]
end

Hoe.add_include_dirs '.'

